'use strict';

exports.__esModule = true;
exports.default = findErrorPosition;

var _parse = require('./parse');

var _parse2 = _interopRequireDefault(_parse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function findErrorPosition(jsonString, dataPath) {
  // console.log(JSON.stringify(parse(jsonString), null, 2));
  // TODO: Handle json pointer escape notation and better error handling
  var _dataPath$split$slice = dataPath.split('/').slice(1).reduce(function (obj, pointer) {
    return obj[_parse.VALUE_SYMBOL][pointer] || obj[_parse.VALUE_SYMBOL][_parse.VALUE_SYMBOL][pointer];
  }, (0, _parse2.default)(jsonString)),
      _dataPath$split$slice2 = _dataPath$split$slice[_parse.META_SYMBOL],
      line = _dataPath$split$slice2.line,
      column = _dataPath$split$slice2.column;

  return { line, column };
}
module.exports = exports['default'];